Page MenuHomePhabricator

[x86, SSE] update packed FP compare tests for direct translation from builtin to IR
ClosedPublic

Authored by spatel on Jun 12 2016, 11:42 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

spatel updated this revision to Diff 60475.Jun 12 2016, 11:42 AM
spatel retitled this revision from to [x86, SSE] update packed FP compare tests for direct translation from builtin to IR.
spatel updated this object.
spatel added reviewers: ab, RKSimon, craig.topper.
spatel added a subscriber: llvm-commits.
RKSimon edited edge metadata.Jun 13 2016, 2:45 PM

Please can update avx2-intrinsics-fast-isel.ll to match avx2-builtins.c

spatel updated this revision to Diff 60700.Jun 14 2016, 10:11 AM
spatel edited edge metadata.

Patch updated:
Updated avx2 gather tests that were using sse.cmp.ps / sse2.cmp.pd.
The codegen diff for pcmpeqd vs cmpeqps/pd is filed as PR28129:
https://llvm.org/bugs/show_bug.cgi?id=28129

Repeating previous comment because Phab apparently didn't send it to the list:
Updated avx2 gather tests that were using sse.cmp.ps / sse2.cmp.pd.
The codegen diff for pcmpeqd vs cmpeqps/pd is filed as PR28129:
https://llvm.org/bugs/show_bug.cgi?id=28129

RKSimon accepted this revision.Jun 15 2016, 9:03 AM
RKSimon edited edge metadata.

LGTM

This revision is now accepted and ready to land.Jun 15 2016, 9:03 AM
This revision was automatically updated to reflect the committed changes.